-# To edit the mailto email target, edit the content below in-between the ('')...

- email_recipient = URI.encode_www_form_component('commit@gitlab.com').gsub('+', '%20')

- email_link = 'mailto:'+email_recipient

.container.text-center
  .row.u-margin-top-lg.u-margin-bottom-lg
    .col-md-6.u-margin-bottom-lg
      %h1 Contact us
      %h4{style: "font-weight: 300;"} Have any questions about commit? Email 
      %h3 
        = succeed ' ' do
          %a{href: email_link, style: "text-decoration: underline; font-weight: 600;"} #{email_recipient}
      %h4{style: "font-weight: 300;"}
        for more information.


    .col-md-6
      %h1 Receive updates

      %form#mktoForm_2425.u-margin-top-xs
      %script{src: "//page.gitlab.com/js/forms2/js/forms2.min.js"}
      :javascript
        MktoForms2.setOptions(
        {
          formXDPath : "/rs/194-VVC-221/images/marketo-xdframe-relative.html"
        });
        MktoForms2.loadForm("//page.gitlab.com", "194-VVC-221", 2425, function(form) 
        {

          var mktoFormLabels = document.getElementsByClassName('mktoLabel');
          for ( var count = 0; count < mktoFormLabels.length; count++ ) 
          {
            if (mktoFormLabels[count].htmlFor != '') 
            {
              var labelValue = mktoFormLabels[count].htmlFor.toLowerCase();
              mktoFormLabels[count].closest('.mktoFormRow').classList.add(labelValue);
            };
          };

          document.querySelector('#Email').placeholder='Enter your email address to stay informed';

          form.onSuccess(function(values, followUpUrl) 
          {
            dataLayer.push(
            {
              'event' : 'mktoLead', 
              'mktoFormId' : form.getId(),
              'eventCallback' : function()
              {
                form.getFormElem().hide();
                document.getElementById('confirmformnewlsetter').style.visibility = 'visible';
              }, 'eventTimeout' : 3000
            });
            return false;
          });

        });

      :css

        .mktoForm {
          margin: 0 auto;
          max-width: 560px;
          position: relative;
          width: 100%;
        }

        .mktoForm .email .mktoField {
          width: calc(100% - 87px);
        }

        .mktoButtonRow .mktoButtonWrap button {
          background-color: #e65328;
          font-size: 0;
          line-height: inherit;
          min-width: inherit;
          padding: 9px 18px;
          position: absolute;
          right: 0;
          top: 0;
        }

        .mktoButtonRow .mktoButtonWrap button:active,
        .mktoButtonRow .mktoButtonWrap button:focus,
        .mktoButtonRow .mktoButtonWrap button:hover {
          background-color: #c93d2b;
        }

        .mktoButton:after {
          content: "Join us";
          font-size: 16px;
        }

        .thanks-subscribing {
          border-top: 1px solid #cccccc;
          padding-top: 5px;
        }

      #confirmformnewlsetter{style: "visibility:hidden;"}
        %p.thanks-subscribing
          Thanks for subscribing!
          %a{href: "https://www.twitter.com/gitlab", target: "_blank"}
            Follow us on twitter
          for even more updates!
